Bug 1027705 - neon can't work with SSL, need switch from gnutls to openssl
neon can't work with SSL, need switch from gnutls to openssl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: neon (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 05:15 EST by Vasiliy Glazov
Modified: 2014-10-12 01:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: neon-0.30.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-12 01:06:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Glazov 2013-11-07 05:15:02 EST
Description of problem:

I can't use davfs mounts. It use neon for SSL connection, and neon use gnutls. I have this error:
mount "https://webdav.yandex.ru" /home/vascom/yandex.disk -t davfs -o uid=1000,gid=1000

/sbin/mount.davfs: Mounting failed.
SSL handshake failed: Secure connection truncated

Version-Release number of selected component (if applicable):
davfs2-1.4.7-1.fc19.x86_64
neon-0.30.0-2.fc19.x86_64
gnutls-3.1.15-1.fc19.x86_64

How reproducible:
Always

Additional info:
If I compile neon with openssl - all good.
Just use --with-ssl=openssl
Comment 1 Alexei Panov 2013-11-07 05:20:36 EST
I can confirm this bug.
Rebuilded 'neon' --with-ssl=openssl help me too.
Comment 2 Fedora Update System 2014-09-23 15:59:48 EDT
neon-0.30.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/neon-0.30.1-1.fc20
Comment 3 Fedora Update System 2014-09-25 06:40:41 EDT
Package neon-0.30.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing neon-0.30.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11440/neon-0.30.1-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-10-12 01:06:57 EDT
neon-0.30.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.